/**
 * RoleClassSpecimen2.java
 *
 * File generated from the medication2::RoleClassSpecimen2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassSpecimen2.
 *
 * 
 */

@XmlType(name = "RoleClassSpecimen")
@XmlEnum
@XmlRootElement(name = "RoleClassSpecimen2")
public enum RoleClassSpecimen2 {
	@XmlEnumValue("SPEC")
	SPEC("SPEC"),
	@XmlEnumValue("ALQT")
	ALQT("ALQT"),
	@XmlEnumValue("ISLT")
	ISLT("ISLT");
	
	private final String value;

    RoleClassSpecimen2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassSpecimen2 fromValue(String v) {
        for (RoleClassSpecimen2 c: RoleClassSpecimen2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
